<?xml version="1.0" encoding="utf-8"?>
<!--================================================================================-->
<!--

	Plik wizualizacji Edytora Aktów Prawnych XML
	(C)2002-2010 Administration & Business Consulting	
	Wszelkie prawa zastrzeżone.
	http://abc-grytner.pl
	
	Autor: (C)2009-2010 ITORG Krzysztof Radzimski
	http://itorg.pl

	Elektroniczna postać aktu prawnego.
	Zgodnie ze strukturą zdefiniowaną
	w schemacie dostępnym pod adresem: http://epuap.gov.pl/wps/portal/epuap/pi
-->
<!--================================================================================-->
<xsl:stylesheet version="2.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:msxsl="urn:schemas-microsoft-com:xslt"
				exclude-result-prefixes="msxsl"
				xmlns="http://www.w3.org/1999/xhtml"
				xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
				xmlns:xs="http://www.w3.org/2001/XMLSchema"
				xmlns:my="http://itorg.pl/my-xmlt-functions"
				xmlns:saxon="http://saxon.sf.net/"
>
	<xsl:output method="xml"
					indent="yes"
					doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
					doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

	<xsl:variable name="header-type">
		<xsl:value-of select="'$HEADER_TYPE$'"/>
	</xsl:variable>

	<xsl:variable name="city-name">
		<xsl:value-of select="'$CITY_NAME$'"/>
	</xsl:variable>

	<xsl:variable name="header-is-caps">
		<xsl:value-of select="$HEADER_IS_CAPS$"/>
	</xsl:variable>

	<xsl:variable name="show-project-note">
		<xsl:value-of select="$SHOW_PROJECT_NOTE$"/>
	</xsl:variable>

	<xsl:variable name="number-position">
		<xsl:value-of select="$NUMBER_POSITION$"/>
	</xsl:variable>

	<xsl:variable name="number-is-bold">
		<xsl:value-of select="$NUMBER_IS_BOLD$"/>
	</xsl:variable>

	<xsl:variable name="empty-spaces">
		<xsl:value-of select="$EMPTY_SPACES$"/>
	</xsl:variable>

	<xsl:variable name="without-date-and-number">
		<xsl:value-of select="$WITHOUT_DATE_AND_NUMBER$"/>
	</xsl:variable>

	<xsl:variable name="always-show-date">
		<xsl:value-of select="$ALWAYS_SHOW_DATE$"/>
	</xsl:variable>
	<xsl:variable name="always-show-number">
		<xsl:value-of select="$ALWAYS_SHOW_NUMBER$"/>
	</xsl:variable>


	<xsl:variable name="AttachmentTitle" >
		<xsl:for-each select="/">
			<xsl:for-each select="*">
				<xsl:for-each select="metryczka">

					<xsl:choose>
						<xsl:when test="name(parent::node()) = 'ustawa'">
							<xsl:value-of select="'Ustawy'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'rozporzadzenie'">
							<xsl:value-of select="'Rozporządzenia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'uchwala'">
							<xsl:value-of select="'uchwały'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'uchwala-budzetowa-2010'">
							<xsl:value-of select="'Uchwały Budżetowej na rok 2010'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'zarzadzenie'">
							<xsl:value-of select="'Zarządzenia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'informacja'">
							<xsl:value-of select="'Informacji'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'komunikat'">
							<xsl:value-of select="'Komunikatu'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'decyzja'">
							<xsl:value-of select="'Decyzji'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'oswiadczenie'">
							<xsl:value-of select="'Oświadczenia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'postanowienie'">
							<xsl:value-of select="'Postanowienia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'wyrok'">
							<xsl:value-of select="'Wyroku'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'porozumienie'">
							<xsl:value-of select="'Porozumienia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'ogloszenie'">
							<xsl:value-of select="'Ogłoszenia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'obwieszczenie'">
							<xsl:value-of select="'Obwieszczenia'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'aneks'">
							<xsl:value-of select="'Aneksu'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'statut'">
							<xsl:value-of select="'Statutu'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'sprawozdanie'">
							<xsl:value-of select="'Sprawozdania'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'protokol'">
							<xsl:value-of select="'Protokółu'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'umowa'">
							<xsl:value-of select="'Umowy'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
							<xsl:value-of select="'Porozumienia międzygminnego'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'licencja'">
							<xsl:value-of select="'Licencji'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'rozstrzygniecie-nadzorcze'">
							<xsl:value-of select="'Rozstrzygnięcia nadzorczego'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'zarzadzenie-wewnetrzne'">
							<xsl:value-of select="'Zarządzenia wewnętrznego'"/>
						</xsl:when>
						<xsl:when test="name(parent::node()) = 'porozumienie-komunalne'">
							<xsl:value-of select="'Porozumienia komunalnego'"/>
						</xsl:when>
					</xsl:choose>
					<xsl:if test="@numer != ''">
						<xsl:value-of select="' Nr '"/>
						<xsl:value-of select="@numer"/>
					</xsl:if>

					<xsl:if test="@organ-wydajacy != '' and name(parent::node()) != 'umowa' and name(parent::node()) != 'porozumienie' and name(parent::node()) != 'aneks' and name(parent::node()) != 'ustawa'">
						<br/>
						<xsl:value-of select="@organ-wydajacy"/>
					</xsl:if>

					<xsl:if test="@data != '1-01-01T00:00:00Z'">
						<br/>

						<xsl:choose>
							<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
								<xsl:text>zawarte w dniu&#160;</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>z dnia&#160;</xsl:text>
							</xsl:otherwise>
						</xsl:choose>

						<xsl:choose>
							<xsl:when test="@status-aktu = 'projekt' or $without-date-and-number = true()">
								<xsl:text>....................&#160;</xsl:text>
								<xsl:call-template name="date-year">
									<xsl:with-param name="ADate" select="@data"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="date-name">
									<xsl:with-param name="ADate" select="@data"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>

				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:variable>

	<xsl:template match="/">

		<html xmlns="http://www.w3.org/1999/xhtml">
			<xsl:comment>
				Plik utworzony za pomocą Edytora Aktów Prawnych XML
				(C)2002-2010 Administration And Business Consulting
				Wszelkie prawa zastrzeżone.
				http://abc-grytner.pl


				Elektroniczna postać aktu prawnego.
				Zgodnie ze strukturą zdefiniowaną
				w schemacie dostępnym pod adresem: http://epuap.gov.pl/wps/portal/epuap/pi
			</xsl:comment>
			<head>
				<title>
					Akt
					<xsl:for-each select="*">
						<xsl:for-each select="metryczka">
							<xsl:value-of select="'Uchwała'"/>
							<xsl:value-of select="' Nr. '"/>
							<xsl:value-of select="@numer"/>
						</xsl:for-each>
					</xsl:for-each>
				</title>
				<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<meta name="generator" content="Edytor Aktów Prawnych XML (C)2002-2010 Administration And Business Consulting" />
				<style type="text/css">
					a { text-decoration:none; color:blue;}
					a:hover { text-decoration:underline; color:blue;}
					a:visited { text-decoration:none; color:blue;}
					body {
					background-color: #F7F7F7;
					font-size: $BODY_FONT_SIZE$;
					font-family: $BODY_FONT_FAMILY$;
					border: 0px;
					margin-top: 0px;
					margin-left: 0px;
					margin-right: 0px;
					margin-bottom: 0px;
					padding: 0px;
					width: 100%;
					text-align: $BODY_TEXT_ALIGN$;
					}
					div {line-height: $BODY_TEXT_LINE_HEIGHT$;}

					.MainPanel2
					{
					margin: auto;
					max-width: $PAGE_WIDTH$pt;
					min-width: $PAGE_WIDTH$pt;
					width: $PAGE_WIDTH$pt;

					padding-left: $MARGIN_LEFT$pt;
					padding-right: $MARGIN_RIGHT$pt;

					padding-bottom: $MARGIN_BOTTOM$pt;
					padding-top: $MARGIN_TOP$pt;
					background-color: #FFFFFF;
					}

					.MainPanel2Printable
					{
					max-width: $PAGE_WIDTH$pt;
					min-width: $PAGE_WIDTH$pt;
					width: $PAGE_WIDTH$pt;

					padding-left: 0px;
					padding-right: 0px;

					padding-bottom: 0px;
					padding-top: 0px;

					background-color: #FFFFFF;

					border: 0px;
					margin-top: 0px;
					margin-left: 0px;
					margin-right: 0px;
					margin-bottom: 0px;
					}

					.MainPanelContent{
					}

					.preambula, .podstawa-prawna {text-indent: $BODY_ELEMENT_TEXT_INDENT$%; margin-bottom: 20px; page-break-before: avoid;}
					.uzasadnienie{margin-bottom: 10px; margin-top: 10px; page-break-before: always; }
					.ksiega{margin-top: 25px; margin-bottom: 10px;}
					.czesc{margin-top: 25px; margin-bottom: 10px;}
					.tyt{margin-top: 25px; margin-bottom: 10px;}
					.oddzial{margin-bottom: 10px;}
					.dzial{margin-top: 25px; margin-bottom: 10px;}
					.srodtytul{text-align: center; font-weight: bold; margin-bottom: 10px; margin-top: 10px; }
					.rozdzial{margin-top: 25px; margin-bottom: 10px; font-weight: normal;}
					.artykul{text-indent: $BODY_ELEMENT_TEXT_INDENT$%; font-weight: normal; margin-bottom: $EDITORIALMARGIN$; page-break-before: avoid;}
					.paragraf{text-indent: $BODY_ELEMENT_TEXT_INDENT$%; font-weight: normal; margin-bottom: $EDITORIALMARGIN$; page-break-before: avoid;}
					.ustep{text-indent: $BODY_ELEMENT_TEXT_INDENT$%; page-break-before: avoid;}
					.punkt{margin-bottom: 0px; font-weight: normal; page-break-before: avoid;}
					.litera{margin-bottom: 0px; font-weight: normal; page-break-before: avoid;}
					.tiret{margin-bottom: 0px; font-weight: normal; page-break-before: avoid;}
					.akapit{ margin-bottom: 5px; text-indent: $BODY_SECTION_TEXT_INDENT$%; font-weight: normal; page-break-before: avoid;}
					.blok{ margin-bottom: 5px; text-indent: $BODY_SECTION_TEXT_INDENT$%; font-weight: normal; page-break-before: avoid;}
					.fragment{ font-weight: normal;}
					.zalacznik_bin{width: 100%; margin-bottom: 20px; margin-top: 30px; page-break-before: avoid;}
					.zalacznik{width: 100%; margin-bottom: 30px; margin-top: 30px; page-break-before: always;}
					.tabela
					{
					margin-top: 10px;
					font-weight: normal;
					font-size: $TABLE_FONT_SIZE$;
					font-family: $TABLE_FONT_FAMILY$;
					border: 1px solid black;
					border-collapse: collapse;
					}
					.tabela2
					{
					margin-top: 10px;
					font-weight: normal;
					font-size: $TABLE_FONT_SIZE$;
					font-family: $TABLE_FONT_FAMILY$;
					border-collapse: collapse;
					}
					.wiersz
					{
					}
					.komorka
					{
					border: 1px solid black;
					border-collapse: collapse;
					vertical-align: top;
					padding: 2px;
					}
					.komorka2
					{
					border-collapse: collapse;
					vertical-align: top;
					padding: 2px;
					}
				</style>
			</head>
			<body>
				<div class="MainPanel2">
					<div class="MainPanelContent">
						<xsl:attribute name="id">
							<xsl:for-each select="*">
								<xsl:value-of select="@id"/>
							</xsl:for-each>
						</xsl:attribute>

						<!--Informacja o projekcie-->
						<xsl:if test="$show-project-note = true()">
							<xsl:for-each select="*">
								<xsl:for-each select="metryczka">
									<xsl:if test="@status-aktu = 'projekt'">
										<div style="font-weight: normal; text-decoration: underline; font-style: italic; width: 100%; text-align: right;">
											<xsl:text>Projekt</xsl:text>
										</div>
										<br/>
										<xsl:if test="'$PROJECT_NOTE$' != ''">
											<div style="font-weight: normal; text-decoration: none; font-style: normal; width: 100%; text-align: right;">
												<xsl:call-template name="replace-pseudo-enter">
													<xsl:with-param name="text" select="'$PROJECT_NOTE$'"/>
												</xsl:call-template>
											</div>
										</xsl:if>
										<br/>
										<br/>
										<br/>
									</xsl:if>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:if>

						<!--Lista aktów zmieniajacych-->
						<xsl:for-each select="*">
							<xsl:for-each select="metryczka">
								<xsl:for-each select="lista-aktow-zmieniajacych">
									<div style="font-size: 80%; text-align: justify; margin-bottom: 80px;">
										<strong>
											<xsl:text>Zmiany:</xsl:text>
										</strong>
										<ol>
											<xsl:for-each select="akt-zmieniajacy">
												<li>
													<a style="text-decoration: none; color: black;">
														<xsl:attribute name="href">
															<xsl:value-of select="@cel"/>
														</xsl:attribute>
														<xsl:value-of select="."/>
													</a>
												</li>
											</xsl:for-each>
										</ol>
									</div>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:for-each>

						<!-- akt -->
						<xsl:for-each select="*">
							<xsl:apply-templates/>
						</xsl:for-each>

						<!--zalacznik_bin-->
						<xsl:if test="'$WITH_BINARY_ATTACHMENTS$' = 'true'">
							<xsl:for-each select="*">
								<xsl:for-each select="zalacznik_bin">
									<!--
									Pierwszy załącznik jest zawsze na nowej stronie
									nawet jezeli wyłaczono opcję pokazywania załacznika na nowej stronie
								-->

									<xsl:choose >
										<xsl:when test="'$SHOW_BINARY_ATTACHMENTS_ON_NEW_PAGE$' = 'false' and position() = 1">
											<xsl:call-template name="zalacznik_bin" >
												<xsl:with-param name="first" select="'true'"/>
											</xsl:call-template>
										</xsl:when>
										<xsl:otherwise>
											<xsl:call-template name="zalacznik_bin" >
												<xsl:with-param name="first" select="'false'"/>
											</xsl:call-template>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:for-each>
						</xsl:if>


						<!--Treść przypisów nowelizacyjnych-->
						<xsl:for-each select="*">
							<xsl:for-each select="tresc-przypisow-nowelizacyjnych">
								<div style="width: 100%; margin-top: 30px; font-size: $FOOTNOTES_FONT_SIZE$; font-family: $FOOTNOTES_FONT_FAMILY$;">
									<div style="border-top: solid 1px black; width: 30%;">
										<xsl:value-of select="' '"/>
									</div>
									<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<xsl:for-each select="tresc-przypisu">
											<tr>
												<td style="width: 5%; vertical-align: top;">
													<sup>
														<xsl:text>(</xsl:text>
														<xsl:value-of select="@nr"/>
														<xsl:text>)</xsl:text>
													</sup>
												</td>
												<td style="width: 95%; vertical-align: top;">
													<a style="color: black; text-decoration: none;">
														<xsl:attribute name="href">
															<xsl:value-of select="@cel"/>
															<xsl:text>_OID_</xsl:text>
															<xsl:value-of select="@przepis-id"/>
														</xsl:attribute>
														<strong>
															<xsl:choose>
																<xsl:when test="@status= 'zastap'">
																	<xsl:text>Zmiana: </xsl:text>
																</xsl:when>
																<xsl:when test="@status = 'dodaj'">
																	<xsl:text>Dodany: </xsl:text>
																</xsl:when>
																<xsl:when test="@status = 'uchyl'">
																	<xsl:text>Uchylony: </xsl:text>
																</xsl:when>
															</xsl:choose>
														</strong>
														<xsl:apply-templates/>
														<xsl:text>&#160;-&#160;</xsl:text>
														<strong>
															<xsl:value-of select="@przepis"/>
														</strong>
													</a>
												</td>
											</tr>
										</xsl:for-each>

									</table>
								</div>
							</xsl:for-each>
						</xsl:for-each>
					</div>
				</div>
			</body>
		</html>

	</xsl:template>

	<!--metryczka-->
	<xsl:template match="metryczka">
		<xsl:if test="(@widoczny = '') or (@widoczny = 'tak') or (not(@widoczny))">

			<xsl:if test="$number-position = 1 and (@numer != '' or $always-show-number = true())">
				<div>
					<xsl:attribute name="style">
						<xsl:choose>
							<xsl:when test="$number-is-bold = true()">
								<xsl:text>font-weight: bold;</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>font-weight: normal;</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>


					<xsl:value-of select="@numer"/>

				</div>
				<br/>
				<br/>
			</xsl:if>

			<xsl:choose>
				<xsl:when test="name(parent::node()) = 'wyrok'">
					<div style="font-weight: bold; text-align: center; line-height: 40px;">
						<span>
							<xsl:if test="$header-is-caps = true()">
								<xsl:attribute name="style">
									<xsl:text>text-transform: uppercase;</xsl:text>
								</xsl:attribute>
							</xsl:if>
							<span style="letter-spacing: 5px;">
								<xsl:value-of select="'Wyrok'"/>
							</span>
							<br/>
							<xsl:value-of select="'W imieniu Rzeczypospolitej Polskiej'"/>
						</span>

						<div style="font-weight: bold; text-align: right; line-height: 40px;">
							<xsl:text>Dnia&#160;</xsl:text>
							<xsl:call-template name="date-name">
								<xsl:with-param name="ADate" select="@data"/>
							</xsl:call-template>
						</div>
					</div>
					<br/>

				</xsl:when>
				<xsl:otherwise>
					<!-- Standardowy nagłówek aktu -->
					<xsl:if test="$header-type = 'S'">

						<div style="font-weight: bold; text-align: center; line-height: 25px;">
							<span>
								<xsl:if test="$header-is-caps = true()">
									<xsl:attribute name="style">
										<xsl:text>text-transform: uppercase;</xsl:text>
									</xsl:attribute>
								</xsl:if>
								<xsl:choose>
									<xsl:when test="name(parent::node()) = 'ustawa'">
										<xsl:value-of select="'Ustawa'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'rozporzadzenie'">
										<xsl:value-of select="'Rozporządzenie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'uchwala'">
										<xsl:value-of select="'Uchwała'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'uchwala-budzetowa-2010'">
										<xsl:value-of select="'Uchwała Budżetowa na rok 2010'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'zarzadzenie'">
										<xsl:value-of select="'Zarządzenie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'informacja'">
										<xsl:value-of select="'Informacja'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'komunikat'">
										<xsl:value-of select="'Komunikat'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'decyzja'">
										<xsl:value-of select="'Decyzja'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'oswiadczenie'">
										<xsl:value-of select="'Oświadczenie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'postanowienie'">
										<xsl:value-of select="'Postanowienie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'wyrok'">
										<xsl:value-of select="'Wyrok'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'porozumienie'">
										<xsl:value-of select="'Porozumienie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'ogloszenie'">
										<xsl:value-of select="'Ogłoszenie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'obwieszczenie'">
										<xsl:value-of select="'Obwieszczenie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'aneks'">
										<xsl:value-of select="'Aneks'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'statut'">
										<xsl:value-of select="'Statut'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'sprawozdanie'">
										<xsl:value-of select="'Sprawozdanie'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'protokol'">
										<xsl:value-of select="'Protokół'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'umowa'">
										<xsl:value-of select="'Umowa'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
										<xsl:value-of select="'Porozumienie międzygminne'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'licencja'">
										<xsl:value-of select="'Licencja'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'rozstrzygniecie-nadzorcze'">
										<xsl:value-of select="'Rozstrzygnięcie nadzorcze'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'zarzadzenie-wewnetrzne'">
										<xsl:value-of select="'Zarządzenie wewnętrzne'"/>
									</xsl:when>
									<xsl:when test="name(parent::node()) = 'porozumienie-komunalne'">
										<xsl:value-of select="'Porozumienie komunalne'"/>
									</xsl:when>
								</xsl:choose>

								<!-- Porozumienia międzygminne nie maja numeru-->
								<xsl:if test="name(parent::node()) != 'porozumienie-miedzygminne'">
									<xsl:if test="@numer != '' or $always-show-number = true()">
										<xsl:if  test="$number-position = 0">
											<span>
												<xsl:attribute name="style">
													<xsl:choose>
														<xsl:when test="$number-is-bold = true()">
															<xsl:text>font-weight: bold;</xsl:text>
														</xsl:when>
														<xsl:otherwise>
															<xsl:text>font-weight: normal;</xsl:text>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:attribute>

												<xsl:value-of select="' Nr '"/>
												<xsl:choose>
													<xsl:when test="@status-aktu = 'projekt' or $without-date-and-number = true() or (@numer = '' and $always-show-number = true())">

														<xsl:choose>
															<xsl:when test="$empty-spaces = 0">
																<xsl:text>....................</xsl:text>
															</xsl:when>
															<xsl:when test="$empty-spaces = 1">
																<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
															</xsl:when>
														</xsl:choose>

													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="@numer"/>
													</xsl:otherwise>
												</xsl:choose>
											</span>
										</xsl:if>
									</xsl:if>
								</xsl:if>
							</span>
							<br />

							<!--Organ wydajacy jest wyswietlany jeżeli nie jest to Umowa lub porozumienie międzygminne-->
							<xsl:if test="@organ-wydajacy != '' and name(parent::node()) != 'umowa' and name(parent::node()) != 'porozumienie-miedzygminne' and name(parent::node()) != 'licencja'  and name(parent::node()) != 'porozumienie' and name(parent::node()) != 'aneks' and name(parent::node()) != 'ustawa'">
								<span>
									<xsl:if test="$header-is-caps = true()">
										<xsl:attribute name="style">
											<xsl:text>text-transform: uppercase;</xsl:text>
										</xsl:attribute>
									</xsl:if>
									<xsl:value-of select="@organ-wydajacy"/>
									<xsl:for-each select="przypis-organu-wydajacego">
										<xsl:call-template name="ft-przypis"/>
									</xsl:for-each>
								</span>
								<br />
							</xsl:if>

							<xsl:if test="@data != '1-01-01T00:00:00Z' or $always-show-date = true()">
								<span style="font-weight:normal;">
									<xsl:choose>
										<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
											<xsl:text>zawarte w dniu&#160;</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>z dnia&#160;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>

									<xsl:choose>
										<xsl:when test="@status-aktu = 'projekt' or $without-date-and-number = true() or (@data = '1-01-01T00:00:00Z' and $always-show-date = true())">
											<xsl:choose>
												<xsl:when test="$empty-spaces = 0">
													<xsl:text>....................&#160;</xsl:text>
												</xsl:when>
												<xsl:when test="$empty-spaces = 1">
													<xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
												</xsl:when>
											</xsl:choose>
											<xsl:call-template name="date-year">
												<xsl:with-param name="ADate" select="@data"/>
											</xsl:call-template>
										</xsl:when>
										<xsl:otherwise>
											<xsl:call-template name="date-name">
												<xsl:with-param name="ADate" select="@data"/>
											</xsl:call-template>
										</xsl:otherwise>
									</xsl:choose>
								</span>
								<br />
							</xsl:if>
							<xsl:choose>
								<xsl:when test="$number-position = 2">
									<div>
										<xsl:attribute name="style">
											<xsl:choose>
												<xsl:when test="$number-is-bold = true()">
													<xsl:text>font-weight: bold;</xsl:text>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text>font-weight: normal;</xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:attribute>

										<xsl:value-of select="'Nr '"/>
										<xsl:value-of select="@numer"/>

									</div>
								</xsl:when>
								<xsl:otherwise>
									<br />
								</xsl:otherwise>
							</xsl:choose>
							<xsl:for-each select="tytul">
								<xsl:if test=". != ''">
									<div style="font-weight:bold; text-align: $TITLE_JUSTIFICATION$;">
										<xsl:apply-templates/>
									</div>
								</xsl:if>
							</xsl:for-each>
						</div>
						<br/>
					</xsl:if>

					<!-- Nagłówek aktu jak dla decyzji -->
					<xsl:if test="$header-type = 'D'">

						<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
								<td style="width: 50%; vertical-align: top; text-align: center;">
									<img src="orzel.png" alt="" style="width: 0.95cm; height: 1.03cm; background-color: white;"/>
									<br/>
									<div>
										<xsl:choose>
											<xsl:when test="$header-is-caps = true()">
												<xsl:attribute name="style">
													<xsl:text>font-weight: bold; text-transform: uppercase;</xsl:text>
												</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="style">
													<xsl:text>font-weight: bold;</xsl:text>
												</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>

										<xsl:if test="@organ-wydajacy-m != ''">
											<xsl:choose>
												<xsl:when test="contains(upper-case(@organ-wydajacy-m), 'PREZES')">
													<xsl:text>PREZES</xsl:text>
													<br/>
													<xsl:value-of select="substring-after(upper-case(@organ-wydajacy-m), 'PREZES')"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="@organ-wydajacy-m"/>
												</xsl:otherwise>
											</xsl:choose>

											<xsl:for-each select="przypis-organu-wydajacego">
												<xsl:call-template name="ft-przypis"/>
											</xsl:for-each>
											<br />
										</xsl:if>
									</div>

									<xsl:if test="@numer != ''">
										<div>
											<xsl:value-of select="' Nr '"/>
											<xsl:choose>
												<xsl:when test="@status-aktu = 'projekt' or $without-date-and-number = true()">
													<span style="font-weight: normal;">
														<xsl:text>....................</xsl:text>
													</span>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="@numer"/>
												</xsl:otherwise>
											</xsl:choose>
										</div>
										<br />
										<br />
									</xsl:if>

								</td>
								<td style="width: 50%; vertical-align: top; text-align: right;">
									<xsl:value-of select="$city-name"/>
									<xsl:text>, </xsl:text>
									<xsl:if test="@data != '1-01-01T00:00:00Z'">

										<xsl:choose>
											<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
												<xsl:text>zawarte w dniu&#160;</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text>dnia&#160;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>

										<xsl:choose>
											<xsl:when test="@status-aktu = 'projekt' or $without-date-and-number = true()">
												<xsl:text>....................&#160;</xsl:text>
												<xsl:call-template name="date-year">
													<xsl:with-param name="ADate" select="@data"/>
												</xsl:call-template>
											</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="date-name">
													<xsl:with-param name="ADate" select="@data"/>
												</xsl:call-template>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:if>
								</td>
							</tr>
						</table>
						<div style="text-transform: uppercase; font-weight: bold; text-align: center; line-height: 25px;">
							<br/>
							<xsl:choose>
								<xsl:when test="name(parent::node()) = 'ustawa'">
									<xsl:value-of select="'Ustawa'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'rozporzadzenie'">
									<xsl:value-of select="'Rozporządzenie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'uchwala'">
									<xsl:value-of select="'Uchwała'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'uchwala-budzetowa-2010'">
									<xsl:value-of select="'Uchwała Budżetowa na rok 2010'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'zarzadzenie'">
									<xsl:value-of select="'Zarządzenie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'informacja'">
									<xsl:value-of select="'Informacja'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'komunikat'">
									<xsl:value-of select="'Komunikat'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'decyzja'">
									<xsl:value-of select="'Decyzja'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'oswiadczenie'">
									<xsl:value-of select="'Oświadczenie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'postanowienie'">
									<xsl:value-of select="'Postanowienie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'wyrok'">
									<xsl:value-of select="'Wyrok'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'porozumienie'">
									<xsl:value-of select="'Porozumienie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'ogloszenie'">
									<xsl:value-of select="'Ogłoszenie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'obwieszczenie'">
									<xsl:value-of select="'Obwieszczenie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'aneks'">
									<xsl:value-of select="'Aneks'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'statut'">
									<xsl:value-of select="'Statut'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'sprawozdanie'">
									<xsl:value-of select="'Sprawozdanie'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'protokol'">
									<xsl:value-of select="'Protokół'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'umowa'">
									<xsl:value-of select="'Umowa'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'porozumienie-miedzygminne'">
									<xsl:value-of select="'Porozumienie międzygminne'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'licencja'">
									<xsl:value-of select="'Licencja'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'rozstrzygniecie-nadzorcze'">
									<xsl:value-of select="'Rozstrzygnięcie nadzorcze'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'zarzadzenie-wewnetrzne'">
									<xsl:value-of select="'Zarządzenie wewnętrzne'"/>
								</xsl:when>
								<xsl:when test="name(parent::node()) = 'porozumienie-komunalne'">
									<xsl:value-of select="'Porozumienie komunalne'"/>
								</xsl:when>
							</xsl:choose>
						</div>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<!--podpisy-->
	<xsl:template match="podpisy">
		<xsl:variable name="signature-left" select="'do-lewej'"/>
		<xsl:variable name="signature-right" select="'do-prawej'"/>

		<table border="0" cellpadding="0" cellspacing="0" width="100%" style="page-break-before: avoid; margin-top: 30px;">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>

			<xsl:choose>
				<xsl:when test="(name(child::node()[1]) = 'podpis')">
					<tr>
						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="podpis[@wyrownanie = $signature-left]"/>
						</td>

						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="podpis[(@wyrownanie = $signature-right) or (not(@wyrownanie))]"/>
						</td>
					</tr>
					<tr>
						<td style="vertical-align: top; width: 50%;">&#160;</td>
						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="lista"/>
						</td>
					</tr>
				</xsl:when>
				<xsl:otherwise>
					<tr>
						<td style="vertical-align: top; width: 50%;">&#160;</td>
						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="lista"/>
						</td>
					</tr>
					<tr>
						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="podpis[@wyrownanie = $signature-left]"/>
						</td>

						<td style="vertical-align: top; width: 50%;">
							<xsl:apply-templates select="podpis[(@wyrownanie = $signature-right) or (not(@wyrownanie))]"/>
						</td>
					</tr>
				</xsl:otherwise>
			</xsl:choose>



		</table>
	</xsl:template>

	<xsl:template match="lista">
		<xsl:variable name="signature-width" select="$SIGNATURE_WIDTH$ * 2"/>

		<div style="width: 100%; margin-bottom: 0px; margin-top: 40px; page-break-before: avoid;">
			<div>
				<xsl:attribute name="style">
					<xsl:text>text-align: left; width: </xsl:text>
					<xsl:value-of  select="$signature-width"/>
					<xsl:text>%; margin: auto;</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="id">
					<xsl:value-of select="@oid"/>
				</xsl:attribute>

				<xsl:if test="@funkcja != ''">
					<strong>
						<xsl:value-of select="@funkcja"/>
						<xsl:value-of select="': '"/>
					</strong>
				</xsl:if>
				<xsl:for-each select="osoba">
					<div style="padding-left: 5px;">
						<xsl:attribute name="id">
							<xsl:value-of select="@oid"/>
						</xsl:attribute>

						<xsl:value-of select="@imie"/>
						<xsl:value-of select="' '"/>
						<xsl:value-of select="@nazwisko"/>

						<xsl:if test="position() &lt; last()">
							<xsl:text>, </xsl:text>
						</xsl:if>
						<xsl:if test="position() = last()">
							<xsl:text>. </xsl:text>
						</xsl:if>

					</div>
				</xsl:for-each>
			</div>
		</div>
	</xsl:template>

	<xsl:template match="podpis">
		<xsl:variable name="signature-width" select="$SIGNATURE_WIDTH$ * 2"/>

		<div style="width: 100%; margin-bottom: 0px; margin-top: 40px; page-break-before: avoid;">
			<xsl:if test="'$SIGNATURE_VISUAL_TYPE$' = '0'">
				<div>
					<xsl:attribute name="style">
						<xsl:text>text-align: center; width: </xsl:text>
						<xsl:value-of  select="$signature-width"/>
						<xsl:text>%; margin: auto;</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>


					<xsl:if test="@z-upowaznienia != ''">
						<span>
							<xsl:if test="$UNDER_THE_AUTHORITY_OF_BOLD$ = true()">
								<xsl:attribute name="style">
									<xsl:text>
									font-weight: bold;
									</xsl:text>
								</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="@rodzaj-upowaznienia != ''">
									<xsl:choose>
										<xsl:when test="@rodzaj-upowaznienia = 'zastepstwo'">
											<xsl:text>$INSTEAD_OF$</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>$UNDER_THE_AUTHORITY_OF$</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>$UNDER_THE_AUTHORITY_OF$</xsl:text>
								</xsl:otherwise>
							</xsl:choose>

							<xsl:value-of select="' '"/>
							<xsl:value-of select="@z-upowaznienia"/>
						</span>
						<br/>
						<xsl:if test="$SIGNATURE_FUNCTION_BOTTOM$ = true()">
							<br/>
							<br/>
						</xsl:if>
					</xsl:if>

					<xsl:if test="@funkcja != ''">
						<xsl:if test="$SIGNATURE_FUNCTION_BOTTOM$ = false()">
							<strong>
								<xsl:call-template name="break">
									<xsl:with-param name="text" select="@funkcja"/>
								</xsl:call-template>
							</strong>
							<br/>
							<br/>
						</xsl:if>
					</xsl:if>
					<strong>
						<xsl:if test="@tytul != ''">
							<xsl:value-of select="@tytul"/>
							<xsl:value-of select="' '"/>
						</xsl:if>
						<xsl:value-of select="@imie"/>
						<xsl:value-of select="' '"/>
						<xsl:value-of select="@nazwisko"/>
					</strong>

					<xsl:if test="@z-upowaznienia = ''">
						<xsl:if test="$SIGNATURE_FUNCTION_BOTTOM$ = true()">
							<br/>
							<br/>
							<br/>
						</xsl:if>
					</xsl:if>

					<xsl:if test="@funkcja != ''">
						<xsl:if test="$SIGNATURE_FUNCTION_BOTTOM$ = true()">
							<br/>
							<strong>
								<xsl:call-template name="break">
									<xsl:with-param name="text" select="@funkcja"/>
								</xsl:call-template>
							</strong>
						</xsl:if>
					</xsl:if>
				</div>
			</xsl:if>
			<xsl:if test="'$SIGNATURE_VISUAL_TYPE$' = '1'">
				<div>
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:attribute name="style">
						<xsl:text>text-align: center; width: </xsl:text>
						<xsl:value-of select="$signature-width"/>
						<xsl:text>%; float: right; border-top: dotted 2px black;</xsl:text>
					</xsl:attribute>

					<xsl:if test="@z-upowaznienia != ''">
						<xsl:choose>
							<xsl:when test="@rodzaj-upowaznienia != ''">
								<xsl:choose>
									<xsl:when test="@rodzaj-upowaznienia = 'zastepstwo'">
										<xsl:text>$INSTEAD_OF$</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>$UNDER_THE_AUTHORITY_OF$</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>$UNDER_THE_AUTHORITY_OF$</xsl:text>
							</xsl:otherwise>
						</xsl:choose>

						<xsl:value-of select="' '"/>
						<xsl:value-of select="@z-upowaznienia"/>
						<br/>
					</xsl:if>
					<xsl:if test="@funkcja != ''">
						<xsl:value-of select="@funkcja"/>
						<br/>
					</xsl:if>
					<xsl:if test="@tytul != ''">
						<xsl:value-of select="@tytul"/>
						<xsl:value-of select="' '"/>
					</xsl:if>
					<xsl:value-of select="@imie"/>
					<xsl:value-of select="' '"/>
					<xsl:value-of select="@nazwisko"/>
				</div>
			</xsl:if>
		</div>
	</xsl:template>

	<!--Treść przypisów-->
	<xsl:template match="tresc-przypisow">
		<div style="width: 100%; margin-top: 30px; font-size: $FOOTNOTES_FONT_SIZE$; font-family: $FOOTNOTES_FONT_FAMILY$;">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="border-top: solid 1px black; width: 30%;">
				<xsl:value-of select="' '"/>
			</div>
			<table border="0" cellpadding="0" cellspacing="0" width="100%">
				<xsl:for-each select="tresc-przypisu">
					<tr>
						<td style="width: 5%; vertical-align: top;">
							<xsl:attribute name="id">
								<xsl:value-of select="@oid"/>
							</xsl:attribute>
							<a style="color: black; text-decoration: none;">
								<xsl:attribute name="name">
									<xsl:value-of select="@ref"/>
								</xsl:attribute>

								<sup>
									<xsl:value-of select="@nr"/>
									<xsl:value-of select="')'"/>
								</sup>
							</a>
						</td>
						<td style="width: 95%; vertical-align: top;">
							<xsl:apply-templates/>
						</td>
					</tr>
				</xsl:for-each>

			</table>
		</div>
	</xsl:template>

	<!--preambula-->
	<xsl:template match="preambula">
		<div class="preambula">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--podstawa-prawna-->
	<xsl:template match="podstawa-prawna">
		<div class="podstawa-prawna">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--ksiega-->
	<xsl:template match="ksiega">
		<div class="ksiega">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; text-transform: uppercase; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Księga'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="my:is-number(@nr)">
						<xsl:choose>
							<xsl:when test="@nr = 1">
								Pierwsza
							</xsl:when>
							<xsl:when test="@nr = 2">
								Druga
							</xsl:when>
							<xsl:when test="@nr = 3">
								Trzecia
							</xsl:when>
							<xsl:when test="@nr = 4">
								Czwarta
							</xsl:when>
							<xsl:when test="@nr = 5">
								Piąta
							</xsl:when>
							<xsl:when test="@nr = 6">
								Szósta
							</xsl:when>
							<xsl:when test="@nr = 7">
								Siódma
							</xsl:when>
							<xsl:when test="@nr = 8">
								Ósma
							</xsl:when>
							<xsl:when test="@nr = 9">
								Dziewiąta
							</xsl:when>
							<xsl:otherwise>
								<xsl:number value="@nr" format="I"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise >
						<xsl:value-of select="@nr"/>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:for-each select="tytul">
					<br/>
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--czesc-->
	<xsl:template match="czesc">
		<div class="czesc">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; text-transform: uppercase; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Część'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="my:is-number(@nr)">
						<xsl:number value="@nr" format="I"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:value-of select="@nr"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>.&#160;</xsl:text>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--uzasadnienie-->
	<xsl:template match="uzasadnienie">
		<div class="uzasadnienie">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; text-transform: uppercase; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'UZASADNIENIE'"/>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--zalacznik_bin-->
	<xsl:template name="zalacznik_bin">
		<xsl:param name="first" />

		<xsl:variable name="attachments-count" select="count(../zalacznik) + count(../zalacznik_bin)"/>

		<div class="zalacznik_bin">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>

			<!--
				Czy załacznik binarny ma być na nowej stronie
			-->

			<xsl:if test="('$SHOW_BINARY_ATTACHMENTS_ON_NEW_PAGE$' = 'true') or ($first = 'true')">
				<xsl:attribute name="style">
					<xsl:text>page-break-before: always;</xsl:text>
				</xsl:attribute>
			</xsl:if>



			<div style="width: 100%;">
				<div style="text-align: left; width: $ATTACHMENT_WIDTH$%; float: right;">
					<xsl:choose>
						<xsl:when test="$attachments-count > 1">
							<strong>
								<xsl:value-of select="'Załącznik nr'"/>
								<xsl:value-of select="' '"/>
								<!--<xsl:choose>
									<xsl:when test="my:is-number(@nr)">
										<xsl:value-of select="@nr"/>
									</xsl:when>
									<xsl:otherwise >
										<xsl:number value="@nr"/>
									</xsl:otherwise>
								</xsl:choose>-->
								<xsl:value-of select="@nr"/>
							</strong>
							<br/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'Załącznik'"/>
						</xsl:otherwise>
					</xsl:choose>

					<xsl:value-of select="' do '"/>
					<xsl:copy-of select="$AttachmentTitle"/>
					<!--<xsl:if test="tytul != ''">
						<br/>
						<br/>
						<i>
							<xsl:for-each select="tytul">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</i>
					</xsl:if>-->
					<br/>
					<a target="_blank">
						<xsl:attribute name="href">
							<xsl:value-of select="@nazwa"/>
						</xsl:attribute>
						<xsl:value-of select="@nazwa"/>
					</a>
				</div>

			</div>
			<div style="width: 100%; text-align: center;">
				<br/>
				<xsl:if test="tytul != ''">
					<strong>
						<xsl:for-each select="tytul">
							<xsl:value-of select="."/>
						</xsl:for-each>
					</strong>
				</xsl:if>
			</div>

		</div>
	</xsl:template>

	<!--zalacznik-->
	<xsl:template name="zalacznik">
		<xsl:variable name="attachments-count" select="count(../zalacznik) + count(../zalacznik_bin)"/>

		<div class="zalacznik">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>


			<div style="width: 100%; margin-bottom: 20px;">

				<div style="text-align: left; width: $ATTACHMENT_WIDTH$%; float: right;">
					<!--Standardowa nazwa załącznika-->
					<xsl:if test="@pokaz-standardowa-nazwe != 'nie'">
						<xsl:choose>
							<xsl:when test="$attachments-count > 1">
								<strong>
									<xsl:value-of select="'Załącznik nr'"/>
									<xsl:value-of select="' '"/>
									<!--<xsl:choose>
										-->
									<!--<xsl:when test="contains(number(@nr),'NaN')">-->
									<!--
										<xsl:when test="my:is-number(@nr)">
											<xsl:value-of select="@nr"/>
										</xsl:when>
										<xsl:otherwise >
											<xsl:number value="@nr"/>
										</xsl:otherwise>
									</xsl:choose>-->
									<xsl:value-of select="@nr"/>
								</strong>
								<br/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="'Załącznik'"/>
							</xsl:otherwise>
						</xsl:choose>

						<xsl:value-of select="' do '"/>
						<xsl:copy-of select="$AttachmentTitle"/>
					</xsl:if>

					<xsl:for-each select="nazwa">
						<br/>
						<br/>
						<xsl:apply-templates/>
						<br/>
						<br/>
					</xsl:for-each>
				</div>
			</div>
			<xsl:for-each select="tytul">
				<div style="text-align: center; font-weight: bold; margin-bottom: 15px; text-transform: uppercase;">
					<xsl:apply-templates/>
				</div>
			</xsl:for-each>

			<xsl:apply-templates/>
			<!--Obsługa załączników w załącznikach-->
			<!--<xsl:call-template name="zalaczniki"/>-->
		</div>
	</xsl:template>

	<!--zalaczniki-->
	<xsl:template match="zalaczniki">
		<!--<xsl:for-each select="zalaczniki">-->
		<xsl:for-each select="*">
			<xsl:choose>
				<xsl:when test="contains(name(),'zalacznik_bin')">
					<xsl:if test="'$WITH_BINARY_ATTACHMENTS$' = 'true'">
						<xsl:choose >
							<xsl:when test="'$SHOW_BINARY_ATTACHMENTS_ON_NEW_PAGE$' = 'false' and position() = 1">
								<xsl:call-template name="zalacznik_bin" >
									<xsl:with-param name="first" select="'true'"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="zalacznik_bin" >
									<xsl:with-param name="first" select="'false'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>

					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="zalacznik"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<!--</xsl:for-each>-->
	</xsl:template>

	<!--tyt-->
	<xsl:template match="tyt">
		<div class="tyt">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; text-transform: uppercase; margin-bottom: 10px; letter-spacing: 5px;">
				<xsl:value-of select="'Tytuł'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="my:is-number(@nr)">
						<xsl:number value="@nr" format="I"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:value-of select="@nr"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>.&#160;</xsl:text>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--dzial-->
	<xsl:template match="dzial">
		<div class="dzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; text-transform: uppercase; margin-bottom: 10px;">
				<xsl:value-of select="'Dział'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="my:is-number(@nr)">
						<xsl:number value="@nr" format="I"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:value-of select="@nr"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>.&#160;</xsl:text>
				<xsl:for-each select="tytul">
					<!--<xsl:value-of select="."/>-->
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--oddzial-->
	<xsl:template match="oddzial">
		<div class="oddzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px; margin-bottom: 10px;">
				<xsl:value-of select="'Oddział'"/>
				<xsl:value-of select="' '"/>
				<xsl:choose>
					<xsl:when test="my:is-number(@nr)">
						<xsl:number value="@nr" format="I"/>
					</xsl:when>
					<xsl:otherwise >
						<xsl:value-of select="@nr"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:for-each select="tytul">
					<br/>
					<xsl:apply-templates/>
				</xsl:for-each>
			</div>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--srodtytul-->
	<xsl:template match="srodtytul">
		<div class="srodtytul">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>

			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!--rozdzial-->
	<xsl:template match="rozdzial">
		<div class="rozdzial">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<div style="text-align: center; font-weight: bold; margin-bottom: 5px;">
				<xsl:value-of select="'Rozdział'"/>
				<xsl:value-of select="' '"/>
				<xsl:value-of select="@nr"/>
			</div>
			<xsl:for-each select="tytul">
				<div style="text-align: center; font-weight: bold; margin-bottom: 10px;">
					<xsl:apply-templates/>
				</div>
			</xsl:for-each>
			<xsl:apply-templates/>
		</div>
	</xsl:template>

	<!-- artykul -->
	<xsl:template match="artykul">
		<xsl:choose>
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="artykul">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<strong>
						<xsl:value-of select="'Art.'"/>
						<xsl:text>&#160;</xsl:text>

						<xsl:call-template name="format-number">
							<xsl:with-param name="ANumber" select="@nr"/>
							<xsl:with-param name="ABold" select="'0'"/>
						</xsl:call-template>

						<xsl:text>.&#160;</xsl:text>
					</strong>
					<xsl:apply-templates/>
				</span>
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="artykul">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<strong>
						<xsl:value-of select="'Art.'"/>
						<xsl:text>&#160;</xsl:text>

						<xsl:call-template name="format-number">
							<xsl:with-param  name="ANumber" select="@nr"/>
							<xsl:with-param name="ABold" select="'0'"/>
						</xsl:call-template>

						<xsl:text>.&#160;</xsl:text>
					</strong>
					<xsl:apply-templates/>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<!-- paragraf -->
	<xsl:template match="paragraf">
		<xsl:choose>
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="paragraf">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<span style="text-align: left; font-weight: bold;">
						<xsl:text>&#167;</xsl:text>
						<xsl:text>&#160;</xsl:text>
						<xsl:call-template name="format-number">
							<xsl:with-param name="ANumber" select="@nr"/>
							<xsl:with-param name="ABold" select="'1'"/>
						</xsl:call-template>
						<xsl:text>.&#160;</xsl:text>
					</span>
					<xsl:apply-templates/>
				</span>
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>

				<xsl:choose>
					<!--Pierwszy paragraf w artykule-->
					<xsl:when test="position() = 1 and name(parent::node()) = 'artykul' ">
						<span class="paragraf">
							<xsl:attribute name="id">
								<xsl:value-of select="@oid"/>
							</xsl:attribute>

							<xsl:call-template name="tekst-historyczny-formatowanie"/>
							<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

							<span style="text-align: left; font-weight: normal; display: inline;">
								<xsl:text>&#167;</xsl:text>
								<xsl:text>&#160;</xsl:text>
								<xsl:call-template name="format-number">
									<xsl:with-param name="ANumber" select="@nr"/>
									<xsl:with-param name="ABold" select="'1'"/>
								</xsl:call-template>
								<xsl:text>.&#160;</xsl:text>
							</span>
							<xsl:apply-templates/>

							<xsl:call-template name="stopka-tekstu-historycznego"/>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<div class="paragraf">
							<xsl:attribute name="id">
								<xsl:value-of select="@oid"/>
							</xsl:attribute>

							<xsl:call-template name="tekst-historyczny-formatowanie"/>
							<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

							<span style="text-align: left; font-weight: bold; display: inline;">
								<xsl:text>&#167;</xsl:text>
								<xsl:text>&#160;</xsl:text>
								<xsl:call-template name="format-number">
									<xsl:with-param name="ANumber" select="@nr"/>
									<xsl:with-param name="ABold" select="'1'"/>
								</xsl:call-template>
								<xsl:text>.&#160;</xsl:text>
							</span>
							<xsl:apply-templates/>

							<xsl:call-template name="stopka-tekstu-historycznego"/>
						</div>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--ustep-->
	<xsl:template match="ustep">
		<xsl:choose>
			<!--Jezeli jest to pierwszy ustęp-->
			<xsl:when test="position() = 1">
				<span class="ustep">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<xsl:value-of select="@nr"/>
					<xsl:text>.&#160;</xsl:text>

					<xsl:apply-templates/>
				</span>

				<xsl:call-template name="stopka-tekstu-historycznego"/>

				<!--Jeżeli w znaczniku nowelizacyjnym to dodaj złamanie linii-->
				<xsl:if test="my:amendments-exists(node())">
					<xsl:if test="position() &lt; last()">
						<br/>
					</xsl:if>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<!--Ustęp w znaczniku nowelizacyjnym-->
					<xsl:when test="my:amendments-exists(node())">
						<span class="ustep" style="margin-left: 10px;">
							<xsl:attribute name="id">
								<xsl:value-of select="@oid"/>
							</xsl:attribute>
							<!--Dla wyrównania dodaję 2 spacje-->
							<xsl:text>&#160;&#160;</xsl:text>
							<xsl:value-of select="@nr"/>
							<xsl:text>.&#160;</xsl:text>
							<xsl:apply-templates/>
						</span>
						<!--Jezeli nie jest to ostatni ustep to dodaj złamanie linii-->
						<xsl:if test="position() &lt; last()">
							<br/>
						</xsl:if>
					</xsl:when>
					<!--Kolejny ustęp poza znacznikiem nowelizacyjnym-->
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="@nr = '1'">
								<!--Jezeli poprzedni element to przypis nowelizacyjny to stosujemy SPAN-->
								<xsl:choose>
									<xsl:when test="(name(parent::node()/child::node()[1]) = 'przypis-nowelizacyjny') or (name(parent::node()/child::node()[1]) = 'przypis')">
										<span class="ustep">
											<xsl:attribute name="id">
												<xsl:value-of select="@oid"/>
											</xsl:attribute>

											<xsl:call-template name="tekst-historyczny-formatowanie"/>
											<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

											<xsl:value-of select="@nr"/>
											<xsl:text>.&#160;</xsl:text>
											<xsl:apply-templates/>
										</span>

										<xsl:call-template name="stopka-tekstu-historycznego"/>

									</xsl:when>
									<xsl:otherwise>
										<div class="ustep">

											<xsl:attribute name="id">
												<xsl:value-of select="@oid"/>
											</xsl:attribute>

											<xsl:call-template name="tekst-historyczny-formatowanie"/>
											<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

											<xsl:value-of select="@nr"/>
											<xsl:text>.&#160;</xsl:text>
											<xsl:apply-templates/>

											<xsl:call-template name="stopka-tekstu-historycznego"/>
										</div>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<div class="ustep">
									<xsl:attribute name="id">
										<xsl:value-of select="@oid"/>
									</xsl:attribute>

									<xsl:call-template name="tekst-historyczny-formatowanie"/>
									<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

									<xsl:value-of select="@nr"/>
									<xsl:text>.&#160;</xsl:text>

									<xsl:apply-templates/>

									<xsl:call-template name="stopka-tekstu-historycznego"/>
								</div>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- punkt -->
	<xsl:template match="punkt">
		<xsl:choose>
			<!--Punkt w znaczniku nowelizacyjnym-->
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="punkt" style="margin-left: 15px;">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<span>
						<xsl:if test="position() &gt; 1">
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:value-of select="@nr"/>
						<xsl:value-of select="') '"/>
						<xsl:apply-templates/>
					</span>
				</span>
				<!--Jezeli nie jest to ostatni punkt to dodaj złamanie linii-->
				<xsl:if test="my:amendments-is-parent(node()) = true()">
					<xsl:if test="position() &lt; last()">
						<br/>
					</xsl:if>
				</xsl:if>
			</xsl:when>
			<!--Punkt znajduje się poza znacznikiem nowelizacyjnym-->
			<xsl:otherwise>
				<div class="punkt">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<table cellpadding="0" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top;">
								<xsl:value-of select="@nr"/>
								<xsl:value-of select="') '"/>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- litera -->
	<xsl:template match="litera">
		<xsl:choose>
			<!--Litera w znaczniku nowelizacyjnym-->
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="litera" style="margin-left: 20px;">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<span>
						<xsl:if test="position() &gt; 1">
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<xsl:value-of select="@nr"/>
						<xsl:value-of select="') '"/>
						<xsl:apply-templates/>
					</span>
				</span>
				<!--Jezeli nie jest to ostatnia litera to dodaj złamanie linii-->
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="litera">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<table cellpadding="" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top;">
								<xsl:value-of select="@nr"/>
								<xsl:value-of select="') '"/>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- wielka-litera -->
	<xsl:template match="wielka-litera">
		<xsl:choose>
			<!--Litera w znaczniku nowelizacyjnym-->
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="wielka-litera" style="margin-left: 10px;">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<span>
						<xsl:if test="position() &gt; 1">
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<span style="font-weight: bold;">
							<xsl:value-of select="@nr"/>
							<xsl:text>.&#160;</xsl:text>
						</span>
						<xsl:apply-templates/>
					</span>
				</span>
				<!--Jezeli nie jest to ostatnia litera to dodaj złamanie linii-->
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="wielka-litera">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<table cellpadding="" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top; font-weight: bold;">
								<xsl:value-of select="@nr"/>
								<xsl:text>.&#160;</xsl:text>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>

					<xsl:call-template name="stopka-tekstu-historycznego"/>

				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- cyfra-rzymska -->
	<xsl:template match="cyfra-rzymska">
		<xsl:choose>
			<!--Litera w znaczniku nowelizacyjnym-->
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="cyfra-rzymska" style="margin-left: 10px;">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<span>
						<xsl:if test="position() &gt; 1">
							<xsl:text>&#160;&#160;</xsl:text>
						</xsl:if>
						<span style="font-weight: bold;">
							<xsl:value-of select="@nr"/>
							<xsl:text>.&#160;</xsl:text>
						</span>
						<xsl:apply-templates/>
					</span>
				</span>
				<!--Jezeli nie jest to ostatnia litera to dodaj złamanie linii-->
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="cyfra-rzymska">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<table cellpadding="" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top; font-weight: bold;">
								<xsl:value-of select="@nr"/>
								<xsl:text>.&#160;</xsl:text>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!-- tiret -->
	<xsl:template match="tiret">
		<xsl:choose>
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="tiret" style="margin-left: 25px;">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<table cellpadding="" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top;">
								<xsl:value-of select="'-'"/>
								<xsl:value-of select="' '"/>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>
				</span>
			</xsl:when>
			<xsl:otherwise>
				<div class="tiret">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<table cellpadding="" cellspacing="5" border="0">
						<tr>
							<td style="vertical-align: top;">
								<xsl:value-of select="'-'"/>
								<xsl:value-of select="' '"/>
							</td>
							<td style="vertical-align: top;">
								<xsl:apply-templates/>
							</td>
						</tr>
					</table>

					<xsl:call-template name="stopka-tekstu-historycznego"/>

				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--akapit-->
	<xsl:template match="akapit">
		<xsl:choose>
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="akapit">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<xsl:apply-templates/>
				</span>
				<!--Jezeli nie jest to ostatni akapit to dodaj złamanie linii-->
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="akapit">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:if test="@wyrownanie != ''">
						<xsl:attribute name="style">
							<xsl:text>text-align: </xsl:text>
							<xsl:choose>
								<xsl:when test="@wyrownanie = 'do-lewej'">
									<xsl:value-of select="'left'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'do-prawej'">
									<xsl:value-of select="'right'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'wysrodkowanie' or @wyrownanie = 'wysrodkowane'">
									<xsl:value-of select="'center'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'wyjustowanie'">
									<xsl:value-of select="'justify'"/>
								</xsl:when>
							</xsl:choose>
							<xsl:text>;</xsl:text>
						</xsl:attribute>
					</xsl:if>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<xsl:apply-templates/>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<!--blok-->
	<xsl:template match="blok">
		<xsl:choose>
			<xsl:when test="my:amendments-exists(node())">
				<xsl:if test="my:amendments-is-parent(node()) = false()">
					<br/>
				</xsl:if>
				<span class="blok">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>
					<xsl:apply-templates/>
				</span>
				<!--Jezeli nie jest to ostatni akapit to dodaj złamanie linii-->
				<xsl:if test="position() &lt; last()">
					<br/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<div class="blok">
					<xsl:attribute name="id">
						<xsl:value-of select="@oid"/>
					</xsl:attribute>

					<xsl:if test="@wyrownanie != ''">
						<xsl:attribute name="style">
							<xsl:text>text-align: </xsl:text>
							<xsl:choose>
								<xsl:when test="@wyrownanie = 'do-lewej'">
									<xsl:value-of select="'left'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'do-prawej'">
									<xsl:value-of select="'right'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'wysrodkowanie' or @wyrownanie = 'wysrodkowane'">
									<xsl:value-of select="'center'"/>
								</xsl:when>
								<xsl:when test="@wyrownanie = 'wyjustowanie'">
									<xsl:value-of select="'justify'"/>
								</xsl:when>
							</xsl:choose>
							<xsl:text>;</xsl:text>
						</xsl:attribute>
					</xsl:if>

					<xsl:call-template name="tekst-historyczny-formatowanie"/>
					<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

					<xsl:apply-templates/>

					<xsl:call-template name="stopka-tekstu-historycznego"/>
				</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<!--blok-->
	<xsl:template match="fragment">

		<span class="fragment">
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>

			<xsl:if test="@wyrownanie != ''">
				<xsl:attribute name="style">
					<xsl:text>text-align: </xsl:text>
					<xsl:choose>
						<xsl:when test="@wyrownanie = 'do-lewej'">
							<xsl:value-of select="'left'"/>
						</xsl:when>
						<xsl:when test="@wyrownanie = 'do-prawej'">
							<xsl:value-of select="'right'"/>
						</xsl:when>
						<xsl:when test="@wyrownanie = 'wysrodkowanie' or @wyrownanie = 'wysrodkowane'">
							<xsl:value-of select="'center'"/>
						</xsl:when>
						<xsl:when test="@wyrownanie = 'wyjustowanie'">
							<xsl:value-of select="'justify'"/>
						</xsl:when>
					</xsl:choose>
					<xsl:text>;</xsl:text>
				</xsl:attribute>
			</xsl:if>

			<xsl:call-template name="tekst-historyczny-formatowanie"/>
			<xsl:call-template name="tekst-historyczny-z-przypisu-formatowanie"/>

			<xsl:apply-templates/>

			<xsl:call-template name="stopka-tekstu-historycznego"/>
		</span>

	</xsl:template>

	<!--Znaczniki nowelizacyjne-->
	<xsl:template match="zastap">
		<div class="zastap">
			<blockquote>
				&#8222;
				<xsl:apply-templates/>
				&#8221;
			</blockquote>
		</div>
	</xsl:template>
	<xsl:template match="dodaj">
		<div class="dodaj">
			<blockquote>
				&#8222;
				<xsl:apply-templates/>
				&#8221;
			</blockquote>
		</div>
	</xsl:template>
	<!--Nic nie robimy z zawartością uchylanego elementu-->
	<xsl:template match="uchyl"/>

	<!--F O R M A T O W A N I E  T E K S T U  H I S T O R Y C Z N E G O-->
	<xsl:template name="tekst-historyczny-formatowanie">
		<!-- Jezeli jest to tekst historyczny to trzeba nadać odpowiedni styl -->
		<xsl:if test="@historyczny = 'tak'">
			<xsl:attribute name="style">
				<xsl:choose>
					<xsl:when test="@status = 'zastap'">
						<xsl:value-of select="'color: $AMENDMENTS_REPLACE_COLOR$; font-style: italic;'"/>
					</xsl:when>
					<xsl:when test="@status = 'dodaj'">
						<xsl:value-of select="'color: $AMENDMENTS_ADD_COLOR$; font-style: italic;'"/>
					</xsl:when>
					<xsl:when test="@status = 'uchyl'">
						<xsl:value-of select="'color: $AMENDMENTS_REMOVE_COLOR$; font-style: italic;'"/>
					</xsl:when>
				</xsl:choose>
			</xsl:attribute>
		</xsl:if>
	</xsl:template>

	<xsl:template name="tekst-historyczny-z-przypisu-formatowanie">
		<!-- Jezeli jest to tekst historyczny to trzeba nadać odpowiedni styl -->
		<xsl:for-each select="przypis-nowelizacyjny">
			<xsl:if test="@historyczny = 'tak'">
				<xsl:attribute name="style">
					<xsl:choose>
						<!--<xsl:when test="@status = 'zastap'">
							<xsl:value-of select="'color: $AMENDMENTS_REPLACE_COLOR$; font-style: italic;'"/>
						</xsl:when>-->
						<xsl:when test="@status = 'dodaj'">
							<xsl:value-of select="'color: $AMENDMENTS_ADD_COLOR$; font-style: italic;'"/>
						</xsl:when>
						<!--<xsl:when test="@status = 'uchyl'">
							<xsl:value-of select="'color: $AMENDMENTS_REMOVE_COLOR$; font-style: italic;'"/>
						</xsl:when>-->
					</xsl:choose>
				</xsl:attribute>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="stopka-tekstu-historycznego">
		<xsl:for-each select="przypis-nowelizacyjny">
			<xsl:if test="@historyczny = 'tak'">
				<div style="font-size: 80%; font-style: italic; text-indent: 0px; color: black;">
					<xsl:choose>
						<xsl:when test="@status = 'zastap'">
							<span style="text-decoration: underline;">
								<xsl:text>Zmiana:</xsl:text>
							</span>
						</xsl:when>
						<xsl:when test="@status = 'dodaj'">
							<span style="text-decoration: underline;">
								<xsl:text>Dodany:</xsl:text>
							</span>
						</xsl:when>
						<xsl:when test="@status = 'uchyl'">
							<span style="text-decoration: underline;">
								<xsl:text>Uchylony:</xsl:text>
							</span>
						</xsl:when>
					</xsl:choose>
					<xsl:text>&#160;od dnia&#160;</xsl:text>
					<xsl:call-template name="date-name">
						<xsl:with-param name="ADate" select="@data"/>
					</xsl:call-template>
					<br/>
					<span style="text-decoration: underline;">
						<xsl:text>Podstawa prawna:</xsl:text>
					</span>
					<xsl:text>&#160;</xsl:text>
					<xsl:value-of select="@nazwa"/>
					<xsl:text>&#160;-&#160;</xsl:text>
					<strong>
						<xsl:value-of select="@przepis"/>
					</strong>
				</div>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>

	<xsl:template match="cytowanie">
		<div class="cytowanie">
			<blockquote>
				&#8222;
				<xsl:apply-templates/>
				&#8221;
			</blockquote>
		</div>
	</xsl:template>

	<!--F O R M A T O W A N I E-->
	<!--Wytłuszczenie-->
	<xsl:template match="wytluszczenie">
		<strong>
			<xsl:apply-templates/>
		</strong>
	</xsl:template>
	<!--Podkreslenie-->
	<xsl:template match="podkreslenie">
		<u>
			<xsl:apply-templates/>
		</u>
	</xsl:template>
	<!--Kursywa-->
	<xsl:template match="kursywa">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<!--indeks dolny-->
	<xsl:template match="indeks-dolny">
		<sub>
			<xsl:apply-templates/>
		</sub>
	</xsl:template>
	<!--indeks gorny-->
	<xsl:template match="indeks-gorny">
		<sup>
			<xsl:apply-templates/>
		</sup>
	</xsl:template>
	<!--Link-->
	<xsl:template match="link">
		<xsl:choose>
			<xsl:when test="@typ = 'zalacznik'">
				<div style="color: black; width: 100%;">
					<img>
						<xsl:attribute name="src">
							<xsl:value-of select="@cel"/>
						</xsl:attribute>
						<xsl:if test="@szerokosc != ''">
							<xsl:attribute name="width">
								<xsl:value-of select="@szerokosc"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@wysokosc != ''">
							<xsl:attribute name="height">
								<xsl:value-of select="@wysokosc"/>
							</xsl:attribute>
						</xsl:if>

						<xsl:attribute name="alt">
							<xsl:text></xsl:text>
						</xsl:attribute>

						<xsl:attribute name="style">
							<xsl:text>border: 0px;</xsl:text>

							<xsl:if test="@szerokosc != ''">
								<xsl:attribute name="width">
									<xsl:text>width: </xsl:text>
									<xsl:value-of select="@szerokosc"/>
									<xsl:text>; </xsl:text>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@wysokosc != ''">
								<xsl:attribute name="height">
									<xsl:text>height: </xsl:text>
									<xsl:value-of select="@wysokosc"/>
									<xsl:text>; </xsl:text>
								</xsl:attribute>
							</xsl:if>

						</xsl:attribute>
					</img>
				</div>
			</xsl:when>
			<xsl:otherwise >
				<a target="_blank">
					<xsl:attribute name="href">
						<xsl:value-of select="@cel"/>
					</xsl:attribute>
					<xsl:apply-templates/>
				</a>
			</xsl:otherwise>
		</xsl:choose>


	</xsl:template>

	<!--T A B E L A-->
	<xsl:template match="tabela">
		<xsl:variable name="Obramowanie" select="@obramowanie"/>
		<table>
			<xsl:attribute name="id">
				<xsl:value-of select="@oid"/>
			</xsl:attribute>
			<xsl:attribute name="class">
				<xsl:choose>
					<xsl:when test="$Obramowanie = 'nie'">
						<xsl:value-of select="'tabela2'"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="'tabela'"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="cellpadding">
				<xsl:value-of select="@odleglosc-akapitu"/>
			</xsl:attribute>
			<xsl:attribute name="cellspacing">
				<xsl:value-of select="@szerokosc-krawedzi"/>
			</xsl:attribute>
			<xsl:attribute name="width">
				<xsl:value-of select="@szerokosc"/>
				<xsl:value-of select="'%'"/>
			</xsl:attribute>
			<xsl:for-each select="wiersz">
				<tr class="wiersz">
					<xsl:for-each select="komorka">
						<td>
							<xsl:attribute name="class">
								<xsl:choose>
									<xsl:when test="$Obramowanie = 'nie'">
										<xsl:value-of select="'komorka2'"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="'komorka'"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>

							<xsl:if test="@scal-poziomo != ''">
								<xsl:attribute name="colspan">
									<xsl:value-of select="@scal-poziomo"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@scal-pionowo != ''">
								<xsl:attribute name="rowspan">
									<xsl:value-of select="@scal-pionowo"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:choose>
								<xsl:when test="@wyrownanie != ''">
									<xsl:attribute name="align">
										<xsl:choose>
											<xsl:when test="@wyrownanie = 'do-lewej'">
												<xsl:value-of select="'left'"/>
											</xsl:when>
											<xsl:when test="@wyrownanie = 'do-prawej'">
												<xsl:value-of select="'right'"/>
											</xsl:when>
											<xsl:when test="@wyrownanie = 'wysrodkowanie' or @wyrownanie = 'wysrodkowane'">
												<xsl:value-of select="'center'"/>
											</xsl:when>
											<xsl:when test="@wyrownanie = 'wyjustowanie'">
												<xsl:value-of select="'justify'"/>
											</xsl:when>
										</xsl:choose>
									</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="align">
										<xsl:value-of select="'left'"/>
									</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:if test="@szerokosc != ''">
								<xsl:attribute name="width">
									<xsl:value-of select="@szerokosc"/>
									<xsl:value-of select="'%'"/>
								</xsl:attribute>
							</xsl:if>

							<xsl:apply-templates/>
						</td>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>

	<!--Przypisy-->
	<xsl:template match="przypis">
		<xsl:call-template name="ft-przypis"/>
	</xsl:template>

	<xsl:template name="ft-przypis">
		<sup>
			<a style="color: black; text-decoration: none; font-weight: normal;">
				<xsl:attribute name="href">
					<xsl:value-of select="'#'"/>
					<xsl:value-of select="@oid"/>
				</xsl:attribute>
				<xsl:apply-templates/>
			</a>
			<!--<xsl:text>&#160;</xsl:text>-->
		</sup>
	</xsl:template>

	<xsl:template match="przypis-nowelizacyjny">
		<sup>
			<a style="text-decoration: none; font-weight: normal;">
				<xsl:attribute name="href">
					<xsl:value-of select="@cel"/>
					<xsl:text>_OID_</xsl:text>
					<xsl:value-of select="@przepis-id"/>
				</xsl:attribute>
				<xsl:attribute name="title">
					<xsl:choose>
						<xsl:when test="@status= 'zastap'">
							<xsl:text>Zmiana: </xsl:text>
						</xsl:when>
						<xsl:when test="@status = 'dodaj'">
							<xsl:text>Dodany: </xsl:text>
						</xsl:when>
						<xsl:when test="@status = 'uchyl'">
							<xsl:text>Uchylony: </xsl:text>
						</xsl:when>
					</xsl:choose>

					<xsl:value-of select="@nazwa"/>
					<xsl:text>&#160;-&#160;</xsl:text>
					<xsl:value-of select="@przepis"/>
				</xsl:attribute>
				<xsl:text>(</xsl:text>
				<xsl:value-of select="@nr"/>
				<xsl:text>)</xsl:text>
			</a>
		</sup>
	</xsl:template>

	<!--Nowa linia-->
	<xsl:template match="nl">
		<br/>
	</xsl:template>

	<!--Podział strony-->
	<xsl:template match="podzial-strony">
		<span>
			<xsl:attribute name="style">
				<xsl:text>page-break-before: always; width: 100%</xsl:text>
			</xsl:attribute>
		</span>
	</xsl:template>

	<!-- te które są implementowane wyjątkowow inaczej -->
	<!--<xsl:template match="metryczka"/>-->
	<xsl:template match="przypis-organu-wydajacego"/>
	<!--<xsl:template match="zalaczniki"/>-->
	<xsl:template match="zalacznik_bin"/>
	<xsl:template match="tytul"/>
	<!--<xsl:template match="podpis"/>-->
	<xsl:template match="zatwierdzil"/>
	<xsl:template match="ds:Signature"/>
	<!--<xsl:template match="lista"/>-->
	<xsl:template match="osoba"/>
	<xsl:template match="tresc-przypisow-nowelizacyjnych"/>
	<xsl:template match="lista-aktow-zmieniajacych"/>
	<xsl:template match="nazwa"/>
	<!-- // te które są implementowane wyjątkowow inaczej -->

	<xsl:template name="format-number">
		<xsl:param name="ANumber"/>
		<xsl:param name="ABold"/>
		<xsl:choose>
			<xsl:when test="contains($ANumber,'(')">
				<xsl:choose>
					<xsl:when test="$ABold = '1'">
						<strong>
							<xsl:value-of select="substring-before($ANumber,'(')"/>
						</strong>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="substring-before($ANumber,'(')"/>
					</xsl:otherwise>
				</xsl:choose>

				<xsl:choose>
					<xsl:when test="substring-after($ANumber,'(') = '1'">
						<xsl:text>&#185;</xsl:text>
					</xsl:when>
					<xsl:when test="substring-after($ANumber,'(') = '2'">
						<xsl:text>&#178;</xsl:text>
					</xsl:when>
					<xsl:when test="substring-after($ANumber,'(') = '3'">
						<xsl:text>&#179;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<sup>
							<xsl:value-of select="substring-after($ANumber,'(')"/>
						</sup>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$ABold = '1'">
						<strong>
							<xsl:value-of select="$ANumber"/>
						</strong>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$ANumber"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<xsl:function name="my:is-number" as="xs:boolean">
		<xsl:param name="arg" as="xs:string"/>
		<xsl:sequence select="matches($arg, '\d+')"/>
	</xsl:function>

	<xsl:function name="my:amendments-is-parent" as="xs:boolean">
		<xsl:param name="context-node"/>
		<xsl:value-of select="(name($context-node/parent::node()/parent::node()) = 'elementem') or (name($context-node/parent::node()/parent::node()) = 'element') or (name($context-node/parent::node()/parent::node()) = 'cytowanie')"/>
	</xsl:function>

	<xsl:function name="my:amendments-exists" as="xs:boolean">
		<xsl:param name="context-node" />
		<xsl:value-of select="my:parent-exists($context-node,'elementem') or my:parent-exists($context-node,'element') or my:parent-exists($context-node,'cytowanie')"/>
	</xsl:function>

	<xsl:function name="my:attachment-parent-exists" as="xs:boolean">
		<xsl:param name="context-node" />
		<xsl:value-of select="my:parent-exists($context-node/parent::node()/parent::node(),'zalacznik')"/>
	</xsl:function>

	<xsl:function name="my:parent-exists" as="xs:boolean">
		<xsl:param name="context-node" />
		<xsl:param name="parent-name" as="xs:string"/>

		<!--<xsl:sequence select="exists(name($context-node/ancestor::*) = $parent-name)"/>-->
		<xsl:choose>
			<xsl:when test="contains(my:__parent-exists($context-node,$parent-name), 'true')">
				<xsl:value-of select="true()"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="false()"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:function>

	<xsl:function name="my:__parent-exists" as="xs:string?">
		<xsl:param name="context-node" />
		<xsl:param name="parent-name" as="xs:string"/>

		<!--czy rodzić istnieje-->
		<xsl:for-each select="$context-node/ancestor::*">
			<xsl:choose>
				<xsl:when test="name() = $parent-name">
					<xsl:value-of select="'true'"/>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:function>

	<xsl:template name="date-year">
		<xsl:param name="ADate"/>

		<xsl:if test="$ADate != '1-01-01T00:00:00Z'">
			<xsl:value-of select="substring($ADate,1,4)"/>			
		</xsl:if>

		<xsl:value-of select="' r.'"/>
	</xsl:template>

	<xsl:template name="date-name">
		<xsl:param name="ADate"/>
		<xsl:choose>
			<xsl:when test="substring($ADate,9,1)='0'">
				<xsl:value-of select="substring($ADate,10,1)"/>
			</xsl:when>
			<xsl:when test="substring($ADate,9,1)!='0'">
				<xsl:value-of select="substring($ADate,9,2)"/>
			</xsl:when>
		</xsl:choose>

		<xsl:choose>
			<xsl:when test="substring($ADate,6,2)='01'">
				<xsl:value-of select="' stycznia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='02'">
				<xsl:value-of select="' lutego '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='03'">
				<xsl:value-of select="' marca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='04'">
				<xsl:value-of select="' kwietnia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='05'">
				<xsl:value-of select="' maja '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='06'">
				<xsl:value-of select="' czerwca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='07'">
				<xsl:value-of select="' lipca '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='08'">
				<xsl:value-of select="' sierpnia '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='09'">
				<xsl:value-of select="' września '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='10'">
				<xsl:value-of select="' października '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='11'">
				<xsl:value-of select="' listopada '"/>
			</xsl:when>
			<xsl:when test="substring($ADate,6,2)='12'">
				<xsl:value-of select="' grudnia '"/>
			</xsl:when>
		</xsl:choose>
		<xsl:value-of select="substring($ADate,1,4)"/>
		<xsl:value-of select="' r.'"/>
	</xsl:template>
	<xsl:template name="replace-string">
		<xsl:param name="text"/>
		<xsl:param name="replace"/>
		<xsl:param name="with"/>
		<xsl:choose>
			<xsl:when test="contains($text,$replace)">
				<xsl:value-of select="substring-before($text,$replace)"/>
				<xsl:value-of select="$with"/>
				<xsl:call-template name="replace-string">
					<xsl:with-param name="text" select="substring-after($text,$replace)"/>
					<xsl:with-param name="replace" select="$replace"/>
					<xsl:with-param name="with" select="$with"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="replace-pseudo-enter">
		<xsl:param name="text"/>

		<xsl:choose>
			<xsl:when test="contains($text,'|')">
				<xsl:value-of select="substring-before($text,'|')"/>
				<br/>
				<xsl:call-template name="replace-pseudo-enter">
					<xsl:with-param name="text" select="substring-after($text,'|')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="left-trim">
		<xsl:param name="s" />

		<xsl:choose>
			<xsl:when test="normalize-space(substring($s, 1, 1)) = ''">
				<xsl:call-template name="left-trim">
					<xsl:with-param name="s" select="substring($s, 2)" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="right-trim">
		<xsl:param name="s" />

		<xsl:choose>
			<xsl:when test="normalize-space(substring($s, string-length($s))) = ''">
				<xsl:call-template name="right-trim">
					<xsl:with-param name="s" select="substring($s, 1, string-length($s) - 1)" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$s" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="trim">
		<xsl:param name="text" />
		<xsl:variable name="s1">
			<xsl:call-template name="right-trim">
				<xsl:with-param name="s" select="$text" />
			</xsl:call-template>
		</xsl:variable>
		<xsl:call-template name="left-trim">
			<xsl:with-param name="s" select="$s1" />
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="text()">
		<xsl:call-template name="break"/>
	</xsl:template>

	<xsl:template name="break">
		<xsl:param name="text" select="."/>
		<xsl:choose>
			<xsl:when test="contains($text, '|')">
				<xsl:value-of select="substring-before($text, '|')"/>
				<br/>
				<xsl:call-template name="break">
					<xsl:with-param name="text" select="substring-after($text,'|')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
